> # NAME

> cgSetFloatAnnotation - set the value of a float annotation

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGbool cgSetFloatAnnotation( CGannotation ann,
>                                    float value );

> # PARAMETERS

> ann

>   The annotation that will be set.

> value

>   The value to which ann will be set.

> # RETURN VALUES

> Returns CG_TRUE if it succeeds in setting the annotation.

> Returns CG_FALSE otherwise.

> # DESCRIPTION

> cgSetFloatAnnotation sets the value of an annotation of float type.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

> CG_INVALID_PARAMETER_TYPE_ERROR is generated if ann is not an annotation of float type.

> CG_ARRAY_SIZE_MISMATCH_ERROR is generated if ann is not a scalar.

> # HISTORY

> cgSetFloatAnnotation was introduced in Cg 1.5.

> # SEE ALSO

> cgGetFloatAnnotationValues, cgSetBoolAnnotation, cgSetIntAnnotation, cgSetStringAnnotation